org.apache.tiles.velocity.template

## Class AbstractDefaultToStringRenderable

- java.lang.Object
- - org.apache.tiles.velocity.template.AbstractDefaultToStringRenderable

- All Implemented Interfaces:
    org.apache.velocity.runtime.Renderable

      public abstract class AbstractDefaultToStringRenderable
      extends Object
      implements org.apache.velocity.runtime.Renderable

  Renderable that provides a default implementation of Renderable#toString() and allows access to parameters and context objects.
  Since:
    2.2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `params` The parameters used in the current tool call.
    `protected javax.servlet.http.HttpServletRequest` | `request` The HTTP request.
    `protected javax.servlet.http.HttpServletResponse` | `response` The HTTP response.
    `protected org.apache.velocity.context.Context` | `velocityContext` The Velocity context.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDefaultToStringRenderable(org.apache.velocity.context.Context velocityContext, Map<String,Object> params, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.velocity.runtime.Renderable

      `render`

- - ### Field Detail

    - #### velocityContext

          protected final org.apache.velocity.context.Context velocityContext

      The Velocity context.
      Since:
        2.2.0

    - #### params

          protected final Map<String,Object> params

      The parameters used in the current tool call.
      Since:
        2.2.0

    - #### response

          protected final javax.servlet.http.HttpServletResponse response

      The HTTP response.
      Since:
        2.2.0

    - #### request

          protected final javax.servlet.http.HttpServletRequest request

      The HTTP request.
      Since:
        2.2.0

  - ### Constructor Detail

    - #### AbstractDefaultToStringRenderable

          public AbstractDefaultToStringRenderable(org.apache.velocity.context.Context velocityContext,
                                                   Map<String,Object> params,
                                                   javax.servlet.http.HttpServletResponse response,
                                                   javax.servlet.http.HttpServletRequest request)

      Constructor.
      Parameters:
        `velocityContext` - The Velocity context.
        `params` - The parameters used in the current tool call.
        `response` - The HTTP response.
        `request` - The HTTP request.
      Since:
        2.2.0

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.